<?xml version="1.0"?>
<doc>
    <assembly>
        <name>Learun.Workflow.Engine</name>
    </assembly>
    <members>
        <member name="T:Learun.Workflow.Engine.DbFindTableMethod">
            <summary>
            定义一个委托方法
            </summary>
            <param name="dbId">数据库ID</param>
            <param name="sql">sql语句</param>
            <param name="parameter">参数</param>
        </member>
        <member name="T:Learun.Workflow.Engine.GetConfluenceNumMethod">
            <summary>
            判断节点是否审核同意
            </summary>
            <param name="processId">流程实例主键</param>
            <param name="nodeId">流程节点Id</param>
            <returns></returns>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFUserInfo">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.11.13
            描 述：流程人员信息
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFUserInfo.Id">
            <summary>
            用户ID
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFUserInfo.Account">
            <summary>
            用户账号
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFUserInfo.Name">
            <summary>
            用户名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFUserInfo.CompanyId">
            <summary>
            公司主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFUserInfo.DepartmentId">
            <summary>
            部门主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFUserInfo.Mark">
            <summary>
            标记 0需要审核1暂时不需要审核
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFLineInfo">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.10
            描 述：工作流线段
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.id">
            <summary>
            线条Id
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.name">
            <summary>
            线条名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.from">
            <summary>
            开始端节点ID
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.to">
            <summary>
            结束端节点ID
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.strategy">
            <summary>
            通过策略 1.所有情况都通过 2.自定义设置（默认该值为1）
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.agreeList">
            <summary>
            自定义通过策略 agree 同意 disagree 不同意 lrtimeout 超时
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.operationType">
            <summary>
            绑定的操作类型sql interface ioc
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.dbId">
            <summary>
            绑定数据ID
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.strSql">
            <summary>
            绑定的sql语句
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.strSqlR">
            <summary>
            绑定的sql语句(撤销的时候执行)
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.strInterface">
            <summary>
            绑定的接口
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.strInterfaceR">
            <summary>
            绑定的接口(撤销的时候执行)
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.iocName">
            <summary>
            绑定的ioc名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFLineInfo.iocNameR">
            <summary>
            绑定的ioc名称（撤销的时候执行）
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFAuditor">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.04.17
            描 述：工作流审核者
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFAuditor.id">
            <summary>
            主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFAuditor.auditorId">
            <summary>
            审核者主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFAuditor.auditorAccount">
            <summary>
            审核者账号
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFAuditor.auditorName">
            <summary>
            审核者名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFAuditor.type">
            <summary>
            审核者类型1.岗位2.角色3.用户4.上下级5.表单指定字段6.某一个节点执行人
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFAuditor.condition">
            <summary>
            限制条件1.同一个部门2.同一个公司
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFCondition">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.10
            描 述：工作流流转字段条件
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCondition.dbId">
            <summary>
            数据库主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCondition.table">
            <summary>
            表格
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCondition.field1">
            <summary>
            关联字段
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCondition.field2">
            <summary>
            比较字段
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCondition.compareType">
            <summary>
            比较类型1.等于2.不等于3.大于4.大于等于5.小于6.小于等于7.包含8.不包含9.包含于10.不包含于
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCondition.value">
            <summary>
            数据值
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFNodeInfo">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2017.04.17
            描 述：工作流节点
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.id">
            <summary>
            节点Id
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.name">
            <summary>
            节点名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.type">
            <summary>
            节点类型-》开始startround;结束endround;一般stepnode;会签节点:confluencenode;条件判断节点：conditionnode;查阅节点：auditornode;子流程节点：childwfnode
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.notice">
            <summary>
            通知方式，绑定的消息策略编码
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.isAllAuditor">
            <summary>
            审核方式（1只要其中一人审核2都需要审核）
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.auditExecutType">
            <summary>
            审核执行策略（1有人不同意就往下流程（默认）2需要所有人审完才往下走）
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.auditorType">
            <summary>
            审核方式(1并行2串行)
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.auditorAgainType">
            <summary>
            再次审核 1.已通过不需要审核 2.已通过需要审核
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.auditors">
            <summary>
            审核者们
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.timeoutNotice">
            <summary>
            超时时间 0 的话不执行
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.timeoutInterval">
            <summary>
            超时通知间隔 0  的话只执行一次
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.timeoutStrategy">
            <summary>
            超时通知绑定的消息策略编码
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.timeoutAction">
            <summary>
            超时时间（超时后可流转下一节点）0 的话不执行
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.confluenceType">
            <summary>
            会签策略1-所有步骤通过，2-一个步骤通过即可，3-按百分比计算
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.confluenceRate">
            <summary>
            会签比例
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.childFlow">
            <summary>
            子流程模板编码
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.childType">
            <summary>
            子流程执行策略 1 同步 2 异步
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.conditions">
            <summary>
            工作流条件节点-条件字段（优先执行）
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.dbConditionId">
            <summary>
            条件判断sql语句所在数据库主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.conditionSql">
            <summary>
            条件判断sql语句
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.userList">
            <summary>
            实际审核人信息
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.confluenceRes">
            <summary>
            会签审核结果0 不做处理 1 通过 -1 不通过
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.operationType">
            <summary>
            绑定的操作类型sql interface ioc
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.dbId">
            <summary>
            绑定数据ID
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.strSql">
            <summary>
            绑定的sql语句
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.strInterface">
            <summary>
            绑定的接口
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.iocName">
            <summary>
            绑定的ioc名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFNodeInfo.isBatchAudit">
            <summary>
            是否允许批量审核1允许 其他值都不允许
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFCloseDo">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.09
            描 述：流程撤销作废的时候执行的方法
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCloseDo.F_CloseDoType">
            <summary>
            方法执行类型sql，ioc，interface
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCloseDo.F_CloseDoDbId">
            <summary>
            执行sql语句的数据库ID
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCloseDo.F_CloseDoSql">
            <summary>
            执行sql语句
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCloseDo.F_CloseDoIocName">
            <summary>
            执行的ioc名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFCloseDo.F_CloseDoInterface">
            <summary>
            执行接口
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFScheme">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.09
            描 述：工作流模板模型
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFScheme.nodes">
            <summary>
            节点数据
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFScheme.lines">
            <summary>
            线条数据
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFScheme.closeDo">
            <summary>
            流程撤销作废的时候执行的方法
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFEngine">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.10
            描 述：工作流引擎
            </summary>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.CalcCondition(Learun.Workflow.Engine.NWFNodeInfo)">
            <summary>
            计算条件
            </summary>
            <param name="node">节点信息</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.CalcConfluence(Learun.Workflow.Engine.NWFNodeInfo,System.String,System.Boolean)">
            <summary>
            计算会签
            </summary>
            <param name="wfNodeInfo">节点信息</param>
            <param name="preNodeId">上一节点Id</param>
            <param name="isAgree">同意</param>
            <returns>0 不做处理 1 通过 -1 不通过</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetScheme">
            <summary>
            获取流程模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetSchemeObj">
            <summary>
            获取流程模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetStartNode">
            <summary>
            获取开始节点
            </summary>
            <returns>节点信息</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetNode(System.String)">
            <summary>
            获取节点
            </summary>
            <param name="nodeId">流程处理节点ID</param>
            <returns>节点信息</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetLines(System.String,System.String,System.Collections.Generic.List{Learun.Workflow.Engine.NWFLineInfo},System.Collections.Generic.Dictionary{System.String,System.String})">
            <summary>
            获取两节点间的线条
            </summary>
            <param name="fromNodeId">开始节点</param>
            <param name="toNodeId">结束节点</param>
            <param name="list">线条列表</param>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetNextNodes(System.String,System.String,System.Collections.Generic.List{Learun.Workflow.Engine.NWFLineInfo})">
            <summary>
            获取下一节点
            </summary>
            <param name="nodeId">当前节点Id</param>
            <param name="code">节点操作码 agree 同意 disagree 不同意 lrtimeout 超时</param>
            <returns>节点信息列表</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetPreNodes(System.String)">
            <summary>
            获取上一节点列表
            </summary>
            <param name="nodeId">当前节点Id</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.IsToNode(System.String,System.String)">
            <summary>
            判断两节点是否连接
            </summary>
            <param name="formNodeId">开始节点</param>
            <param name="toNodeId">结束节点</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetConfig">
            <summary>
            获取配置参数信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFEngine.GetNextTaskNode(Learun.Workflow.Engine.NWFNodeInfo,System.String,System.Boolean,System.Collections.Generic.List{Learun.Workflow.Engine.NWFLineInfo})">
            <summary>
            获取接下来的任务节点信息
            </summary>
            <param name="beginNode">起始节点</param>
            <param name="code">节点操作码 agree 同意 disagree 不同意 lrtimeout 超时</param>
            <param name="isGetAuditors">是否获取下一节点审核人</param>
            <param name="lineList">经过的线段需要执行操作的</param>
            <returns></returns>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFEngineConfig">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.10
            描 述：工作流引擎配置
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineConfig.ParamConfig">
            <summary>
            流程参数配置
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineConfig.DbFindTable">
            <summary>
            获取数据库数据
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineConfig.GetAgreeNum">
            <summary>
            获取审核同意数
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineConfig.GetDisAgreeNum">
            <summary>
            获取审核不同意数
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFEngineParamConfig">
            <summary>
            流程模板引擎参数配置
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.HasInstance">
            <summary>
            是否已经有流程实例
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.IsChild">
            <summary>
            是否是子流程 1是 0不是
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.ParentTaskId">
            <summary>
            父级流程任务主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.ParentProcessId">
            <summary>
            父级流程实例主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.Scheme">
            <summary>
            流程模板
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.SchemeName">
            <summary>
            流程模板名称
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.SchemeCode">
            <summary>
            流程模板编码
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.SchemeId">
            <summary>
            流程模板主键
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.ProcessId">
            <summary>
            流程实例Id
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.ProcessLevel">
            <summary>
            流程实例等级 1-普通，2-重要，3-紧急
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.Title">
            <summary>
            流程标题
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.Auditers">
            <summary>
            审核人信息
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.CreateUser">
            <summary>
            创建用户
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.CurrentUser">
            <summary>
            当前用户
            </summary>
        </member>
        <member name="P:Learun.Workflow.Engine.NWFEngineParamConfig.State">
            <summary>
            流程状态 0 默认运行状态 1 重新发起 2 运行结束
            </summary>
        </member>
        <member name="T:Learun.Workflow.Engine.NWFIEngine">
            <summary>
            版 本 PIT-ADMS V7.0.3 敏捷开发框架
            Copyright (c) 2013-2018 Hexagon PPM
            创建人：研发部
            日 期：2018.12.10
            描 述：工作流引擎
            </summary>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetScheme">
            <summary>
            获取流程模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetSchemeObj">
            <summary>
            获取流程模板
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetStartNode">
            <summary>
            获取开始节点
            </summary>
            <returns>节点信息</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetNode(System.String)">
            <summary>
            获取节点
            </summary>
            <param name="nodeId">流程处理节点ID</param>
            <returns>节点信息</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetLines(System.String,System.String,System.Collections.Generic.List{Learun.Workflow.Engine.NWFLineInfo},System.Collections.Generic.Dictionary{System.String,System.String})">
            <summary>
            获取两节点间的线条
            </summary>
            <param name="fromNodeId">开始节点</param>
            <param name="toNodeId">结束节点</param>
            <param name="list">线条列表</param>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetNextNodes(System.String,System.String,System.Collections.Generic.List{Learun.Workflow.Engine.NWFLineInfo})">
            <summary>
            获取下一节点
            </summary>
            <param name="nodeId">当前节点Id</param>
            <param name="code">节点操作码 agree 同意 disagree 不同意 lrtimeout 超时</param>
            <returns>节点信息列表</returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetPreNodes(System.String)">
            <summary>
            获取上一节点列表
            </summary>
            <param name="nodeId">当前节点Id</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.IsToNode(System.String,System.String)">
            <summary>
            判断两节点是否连接
            </summary>
            <param name="formNodeId">开始节点</param>
            <param name="toNodeId">结束节点</param>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetConfig">
            <summary>
            获取配置参数信息
            </summary>
            <returns></returns>
        </member>
        <member name="M:Learun.Workflow.Engine.NWFIEngine.GetNextTaskNode(Learun.Workflow.Engine.NWFNodeInfo,System.String,System.Boolean,System.Collections.Generic.List{Learun.Workflow.Engine.NWFLineInfo})">
            <summary>
            获取接下来的任务节点信息
            </summary>
            <param name="beginNode">起始节点</param>
            <param name="code">节点操作码 agree 同意 disagree 不同意 lrtimeout 超时</param>
            <param name="isGetAuditors">是否获取下一节点审核人</param>
            <param name="lineList">经过的线段需要执行操作的</param>
            <returns></returns>
        </member>
    </members>
</doc>
